## org.apache.mahout.math
Class VectorView.AllIterator

    java.lang.Object
      org.apache.mahout.math.VectorView.AllIterator

All Implemented Interfaces:
  java.util.Iterator<Vector.Element>

Enclosing class:
  VectorView

    public final class VectorView.AllIterator

extends java.lang.Object
implements java.util.Iterator<Vector.Element>

Method Summary
`boolean` `hasNext()`
`Vector.Element` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### next

    public Vector.Element next()

  Specified by:
    `next` in interface `java.util.Iterator<Vector.Element>`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<Vector.Element>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<Vector.Element>`
  Throws:
    `java.lang.UnsupportedOperationException` - all the time. method not implemented.

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.